:root {
    font-size: 20px;
}

*, *::before, *::after {
    max-width: 100%;
    width: auto;
    height: auto;
    padding: 0.25rem;
}

html, body, b, i {
    padding: 0;
}

body {
    width: 100%;
    height: 100%;
    margin: 0;
    background-image: url("../images/hearthpwn-bg-lich-king.webp");
    background-color: rgb(9 18 22);
    background-position: top;
    background-repeat: no-repeat;
}

/*--------*/
/*  nav   */
/*--------*/

#nav {
    list-style-type: none;
    max-width: 100%;
}

#nav li {
    padding: 0.5rem;
    border: 2px solid orange;
    border-radius: 1rem;
    display: inline-block;
    margin: auto 0.5rem;
    background-color: rgb(243, 237, 222);
    text-transform: capitalize;
}

/*  links */

a {
    text-decoration: none;
    color: rgb(67, 40, 40);
}

a:hover {
    color: rgb(67, 40, 40, 0.5);
}

/*--------*/
/* tables */
/*--------*/

tbody, tr, td, th {
    width: auto;
    border: 1px solid rgb(214, 208, 192);
}

table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
}
tr {
    padding: 0;
}
td,th {
    min-width: 5rem;
}

tr:nth-child(odd) {
    background-color: rgb(236, 227, 202);
}
tr:nth-child(even){
    background-color: rgb(225, 215, 189);
}
  
/*table border-radius*/
table{
    border-radius: 1rem;
}

/* top-left border-radius */
table tr:first-child td:first-child {
    border-top-left-radius: 1rem;
}
  
/* top-right border-radius */
table tr:first-child td:last-child {
  border-top-right-radius: 1rem;
}
  
  /* bottom-left border-radius */
table tr:last-child td:first-child {
  border-bottom-left-radius: 1rem;
}
  
/* bottom-right border-radius */
table tr:last-child td:last-child {
    border-bottom-right-radius: 1rem;
}


/* main content */
#header-title {
    max-width: 100%;
    text-align: center;
    background-color: rgb(243, 237, 221);
    border-radius: 1rem;
}

#main-content {
    background-color: rgb(243, 237, 221);
    border-radius: 1rem;
    padding-bottom: 1rem;
}

.container{
    max-width: 60em;
    margin: auto;
}

#footer {
    margin-top: 2rem;
}

#footer .container {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-column-gap: 0.25rem;
    background-color: rgb(243, 237, 221);
    border-radius: 1rem;
    min-height: 3rem;
}

.rarity-5 {
    color: rgb(240, 112, 0);
}
.red {
    color: rgb(152 37 37);
}

/* median */
@media (max-width:80em) {
    .container {
        max-width: 95%;
    }
}
